Discord export
curl --request GET \
--url https://api.dis.dog/v1/discord-export/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dis.dog/v1/discord-export/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dis.dog/v1/discord-export/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 3,
"records": [
{
"pseudo": "nelly",
"ip": "1.2.3.4",
"json_files": "{\"messages.json\":{...}}"
}
]
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}Modules
Discord export
Full account export records for a Discord ID. Answering 200 takes 1 search.
GET
/
v1
/
discord-export
/
{id}
Discord export
curl --request GET \
--url https://api.dis.dog/v1/discord-export/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dis.dog/v1/discord-export/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dis.dog/v1/discord-export/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 3,
"records": [
{
"pseudo": "nelly",
"ip": "1.2.3.4",
"json_files": "{\"messages.json\":{...}}"
}
]
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}Full account export records found for a Discord ID, as a
{ total, records } list of flat key/value maps. When nothing is indexed for the ID the answer is { "total": 0, "records": [] }. A 200 takes 1 search from your quota.
The same data is in every search for a Discord ID, as data of the discord-export module, which reports not_found when the list is empty. About the module →
